For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETQuery Tasks
      • GETRetrieve Task
      • PUTUpdate Task
      • DELDelete Task
      • GETFetch the first level child tasks from the task
      • POSTCreate Task
      • GETRetrieve Task Priorities
      • POSTCreate Many Tasks
      • POSTAdd Parent Task
      • PUTUpdate Parent Task
      • DELRemove Parent Task
      • PUTUpdate the approval status of a Task.
      • POSTMark task as read for the current user
      • GETPlanned allocations and actual timesheet minutes for a task, grouped by resource.
LogoLogo
SupportContact salesStart free trial
API ReferenceTask

Fetch the first level child tasks from the task

GET
https://api.projectmanager.com/api/data/tasks/:taskId/subtasks
GET
/api/data/tasks/:taskId/subtasks
$curl https://api.projectmanager.com/api/data/tasks/taskId/subtasks \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue",
13 "data": [
14 {
15 "id": "string",
16 "project": {
17 "id": "string",
18 "shortId": "string",
19 "name": "string"
20 },
21 "tags": [
22 {
23 "id": "string",
24 "name": "string",
25 "color": "string"
26 }
27 ],
28 "projectId": "string",
29 "assignees": [
30 {
31 "id": "string",
32 "initials": "string",
33 "name": "string",
34 "description": "string",
35 "isActive": true,
36 "color": "string",
37 "firstName": "string",
38 "lastName": "string",
39 "shortName": "string",
40 "avatarUrl": "string",
41 "email": "string",
42 "allocatedEffort": 1
43 }
44 ],
45 "todos": [
46 {
47 "id": "string",
48 "text": "string",
49 "complete": true,
50 "createDate": "2024-01-15T09:30:00Z",
51 "modifyDate": "2024-01-15T09:30:00Z"
52 }
53 ],
54 "shortId": "string",
55 "name": "string",
56 "description": "string",
57 "status": {
58 "id": "string",
59 "projectId": "string",
60 "name": "string",
61 "order": 1,
62 "isDone": true
63 },
64 "plannedStartDate": "2023-01-15",
65 "plannedFinishDate": "2023-01-15",
66 "actualStartDate": "2023-01-15",
67 "actualFinishDate": "2023-01-15",
68 "actualEffort": 1,
69 "actualDuration": 1,
70 "modifyDate": "2024-01-15T09:30:00Z",
71 "createDate": "2024-01-15T09:30:00Z",
72 "percentComplete": 1,
73 "isSummary": true,
74 "isLocked": true,
75 "isMilestone": true,
76 "priorityId": 1,
77 "wbs": "string",
78 "color": "string",
79 "theme": "string",
80 "actualCost": 1.1,
81 "actualResourceCost": 1.1,
82 "plannedCost": 1.1,
83 "plannedResourceCost": 1.1,
84 "plannedDuration": 1,
85 "plannedEffort": 1,
86 "index": 1,
87 "level": 1,
88 "fieldValues": [
89 {
90 "id": "string",
91 "shortId": "string",
92 "name": "string",
93 "type": "string",
94 "value": "string",
95 "createdDate": "2024-01-15T09:30:00Z",
96 "modifiedDate": "2024-01-15T09:30:00Z"
97 }
98 ],
99 "files": [
100 {
101 "id": "string",
102 "name": "string",
103 "url": "string",
104 "createDate": "2024-01-15T09:30:00Z",
105 "fileType": "string",
106 "fileTypeLabel": "string",
107 "size": 1
108 }
109 ],
110 "fields": [
111 {
112 "id": "string",
113 "shortId": "string",
114 "name": "string",
115 "type": "string",
116 "value": "string",
117 "createdDate": "2024-01-15T09:30:00Z",
118 "modifiedDate": "2024-01-15T09:30:00Z",
119 "task": {
120 "id": "string",
121 "shortId": "string",
122 "name": "string"
123 }
124 }
125 ]
126 }
127 ]
128}
Fetch the first level child tasks from the task
Was this page helpful?
Previous

Create Task

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

taskIdstringRequiredformat: "uuid"
Parent task id

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
datalist of objects
If the API call succeeded, this will contain the results.